Page Menu
Home
DevCentral
Search
Configure Global Search
Log In
Files
F3746451
D80.id190.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
667 B
Referenced Files
None
Subscribers
None
D80.id190.diff
View Options
diff --git a/run-mq b/run-mq
new file mode 100755
--- /dev/null
+++ b/run-mq
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# Launcher script for a nasqueron/rabbitmq Docker container
+#
+# Usage: ./run-mq blue-rabbit
+# This will create a RabbitMQ container, and a rabbit@blue-rabbit cluster.
+
+if [ $# -eq 1 ]; then
+ NAME=$1
+else
+ echo "Usage: $0 <name to give to the container>";
+ exit 1
+fi
+
+PORTS="-p 5672:5672 -p 25672:25672 -p 1883:1883 -p 8883:8883 -p 15672:15672 -p 15674:15674 -p 61613:61613 -p 4369:4369"
+VOLUMES="-v /data/$NAME/log:/data/log -v /data/$NAME/mnesia:/data/mnesia"
+
+docker run -dt $PORTS $VOLUMES --hostname $NAME --name $NAME nasqueron/rabbitmq
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Nov 16, 21:23 (21 h, 34 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2247986
Default Alt Text
D80.id190.diff (667 B)
Attached To
Mode
D80: Launcher script
Attached
Detach File
Event Timeline
Log In to Comment